org.rrd4j.graph

## Class VRule

- java.lang.Object
- - org.rrd4j.graph.PlotElement
  - - org.rrd4j.graph.Rule
    - - org.rrd4j.graph.VRule

-     class VRule
      extends Rule

  Represents a vertical rule in RRD graphs. Draws a vertical line at a specific timestamp across the graph with optional legend.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) long` | `timestamp` The timestamp at which to draw the vertical rule

    - ### Fields inherited from class org.rrd4j.graph.Rule

      `legend, stroke`

    - ### Fields inherited from class org.rrd4j.graph.PlotElement

      `color`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VRule(long timestamp, Paint color, LegendText legend, BasicStroke stroke)` Creates a vertical rule at the specified timestamp.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `setLegendVisibility(long minval, long maxval, boolean forceLegend)` Sets legend visibility based on timestamp range and force setting.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          final long timestamp

      The timestamp at which to draw the vertical rule

  - ### Constructor Detail

    - #### VRule

          VRule(long timestamp,
                Paint color,
                LegendText legend,
                BasicStroke stroke)

      Creates a vertical rule at the specified timestamp.
      Parameters:
        `timestamp` - timestamp in seconds for the rule
        `color` - color for the rule line
        `legend` - optional legend text
        `stroke` - stroke style for the line

  - ### Method Detail

    - #### setLegendVisibility

          void setLegendVisibility(long minval,
                                   long maxval,
                                   boolean forceLegend)

      Sets legend visibility based on timestamp range and force setting.
      Parameters:
        `minval` - minimum timestamp range
        `maxval` - maximum timestamp range
        `forceLegend` - if true, legend is always visible